> ## Documentation Index
> Fetch the complete documentation index at: https://camelai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Snowflake connection

> Create a new Snowflake data warehouse connection. Supports both password and key-pair authentication.



## OpenAPI

````yaml https://api.camelai.com/api/schema/ post /api/v1/sources/add/snowflake/
openapi: 3.0.3
info:
  title: camelAI API
  version: 1.0.0 (v1)
  description: API for camelAI - AI-powered data analytics platform
servers:
  - url: https://api.camelai.com
    description: camelAI API server
security: []
paths:
  /api/v1/sources/add/snowflake/:
    post:
      tags:
        - sources
      summary: Add Snowflake connection
      description: >-
        Create a new Snowflake data warehouse connection. Supports both password
        and key-pair authentication.
      operationId: sources_add_snowflake_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SnowflakeConnectionRequest'
            examples:
              SnowflakeWithPassword:
                value:
                  type: snowflake
                  account: myaccount.us-east-1
                  user: myuser
                  password: mypassword
                  warehouse: COMPUTE_WH
                summary: Snowflake connection using password authentication
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    description: The ID of the created connection
                  public_key_sql:
                    type: string
                    description: >-
                      SQL command to add public key to Snowflake (only for
                      key-pair auth)
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                  errors:
                    type: object
                    description: Field-specific validation errors
          description: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SnowflakeConnectionRequest:
      type: object
      description: Serializer for Snowflake connection configuration.
      properties:
        type:
          type: string
          minLength: 1
          description: Connection type identifier. Must be `SNOWFLAKE`
        account_name:
          type: string
          minLength: 1
          default: Snowflake
          description: Display name for the connection
        account:
          type: string
          minLength: 1
          description: Snowflake account identifier (e.g., xy12345.us-east-1)
          maxLength: 255
        user:
          type: string
          minLength: 1
          description: Snowflake username
          maxLength: 255
        password:
          type: string
          writeOnly: true
          description: >-
            Password for authentication (optional - use either password or
            public_key)
        public_key:
          type: string
          description: >-
            Public key for key-pair authentication (optional - use either
            password or public_key)
        warehouse:
          type: string
          description: Snowflake warehouse to use (optional)
      required:
        - account
        - type
        - user
      title: Snowflake
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer scheme

````